using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Misc;
using System.Windows.Threading;
using FlyADBase;
namespace Flyad7_WPF
{
    public class FlyADClientUI : INotifyPropertyChanged
    {

        public DateTime Now { get; set; }



        public int Position { get; set; }


        public int Speed { get; set; }


        public int Position2 { get; set; }
        
        public int Speed2 { get; set; }


        public int AD { get; set; }


        private DispatcherTimer timer = new DispatcherTimer();
        private FlyAD7 flyad;
        public FlyADClientUI(FlyAD7 flyad)
        {
            Init(flyad);
        }
        void Init(FlyAD7 flyad)
        {
            this.flyad = flyad;
            timer.Interval = TimeSpan.FromSeconds(0.1);
            timer.Tick += new EventHandler(timer_Tick);
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            Position = flyad.Position;
            Position2 = flyad.Position2;
            AD = flyad.AD;
            Speed = flyad.Speed;
            Speed2 = flyad.Speed2;
            Now = flyad.Now;
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
